<script>
export default {
  props: ['ready', 'error'],
  data: () => ({}),
  mounted() {},
  computed: {},
  methods: {},
}
</script>

<template>
  <div class="">
    <div v-if="error">
      Ошибка загрузки
    </div>
    <div v-else-if="!ready">
      Идет загрузка...
    </div>
    <div v-else>
      <slot />
    </div>
  </div>
</template>
